Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRigidbody Class Reference

Class to handle a flexible Rigidbody type reference method there is more than one. More...

Inheritance diagram for FlexibleRigidbody:

## Public Member Functions
| FlexibleRigidbody ()
| FlexibleRigidbody default constructor More...
| FlexibleRigidbody (Rigidbody value)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (RigidbodyParameterReference parameter)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (InputSlotRigidbody slot)
| FlexibleRigidbody constructor More...
FlexibleComponent | ToFlexibleComponent ()
| Convert to FlexibleComponent and return it. More...
Public Member Functions inherited from FlexibleField< Rigidbody >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator Rigidbody (FlexibleRigidbody flexible)
| Cast FlexibleRigidbody to Rigidbody. More...
static | operator FlexibleRigidbody (Rigidbody value)
| Cast Rigidbody to FlexibleRigidbody. More...
Static Public Member Functions inherited from FlexibleField< Rigidbody >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Rigidbody >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< Rigidbody >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Rigidbody type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRigidbody | ( |  | ) |

FlexibleRigidbody default constructor

FlexibleRigidbody | ( | Rigidbody | value | ) |

FlexibleRigidbody constructor

Parameters

  value | Value

FlexibleRigidbody | ( | RigidbodyParameterReference | parameter | ) |

FlexibleRigidbody constructor

Parameters

  parameter | Parameter

FlexibleRigidbody | ( | InputSlotRigidbody | slot | ) |

FlexibleRigidbody constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleRigidbody | ( | Rigidbody | value | ) |
| explicit static

Cast Rigidbody to FlexibleRigidbody.

Parameters

  value | Rigidbody

static operator Rigidbody | ( | FlexibleRigidbody | flexible | ) |
| explicit static

Cast FlexibleRigidbody to Rigidbody.

Parameters

  flexible | FlexibleRigidbody

FlexibleComponent ToFlexibleComponent | ( |  | ) |

Convert to FlexibleComponent and return it.

Returns
  FlexibleComponent